﻿Imports Infragistics.Win.UltraWinCalcManager
Imports Infragistics.Win.UltraWinCalcManager.FormulaBuilder
Imports Infragistics.Win.CalcEngine

Public Class Form1
    Private Sub ShowFormulaBuilderDialog(ByVal formulaProvider As IFormulaProvider)
        ' Declare a new FormulaBuilderDialog
        Dim formulaBuilderDialog As New FormulaBuilderDialog(formulaProvider)
        ' Show the dialog 
        Dim dResult As DialogResult = formulaBuilderDialog.ShowDialog(Me)
        ' If the user cancelled, do nothing 
        If dResult = System.Windows.Forms.DialogResult.Cancel Then
            Return
        End If
        ' Apply the formula 
        formulaProvider.Formula = formulaBuilderDialog.Formula
    End Sub

    Private Sub btnShowFormulaBuilderDialog_Click(sender As System.Object, e As System.EventArgs) Handles btnShowFormulaBuilderDialog.Click
        Me.ShowFormulaBuilderDialog(Me.UltraCalcManager1.GetCalcSettings(Me.txtSumBox))
    End Sub
End Class
